Name:           os-prober
Version:        1.74
Release:        12
Summary:        Probe disks on the system for other operating systems
License:        GPLv2+ and GPL+
URL:            http://kitenet.net/~joey/code/os-prober/
Source0:        https://salsa.debian.org/installer-team/os-prober/-/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         os-prober-mdraidfix.patch
Patch1:         os-prober-bootpart-name-fix.patch
Patch2:         os-prober-mounted-partitions-fix.patch
Patch3:         os-prober-umount-fix.patch
Patch4:         os-prober-grub2-parsefix.patch
Patch5:         os-prober-grepfix.patch
Patch6:         os-prober-gentoo-fix.patch

Patch9000:      bugfix-wait-for-device-mapper-device-is-created.patch

BuildRequires:  gcc git
Requires:       udev coreutils util-linux grep /bin/sed /sbin/modprobe device-mapper

%description
Os-prober can probe disks on the system for other operating systems,
and add them to the boot loader, so that installing current OS doesn't
make your other installed OS hard to boot.

%prep
%autosetup -n %{name}-%{version} -Sgit
find -type f -exec sed -i -e 's|usr/lib|usr/libexec|g' {} \;
sed -i -e 's|grub-probe|grub2-probe|g' os-probes/common/50mounted-tests \
     linux-boot-probes/common/50mounted-tests

%build
%make_build

%install
install -m 0755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -d $RPM_BUILD_ROOT%{_var}/lib/%{name}

install -m 0755 -p os-prober linux-boot-prober $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -Dp newns $RPM_BUILD_ROOT%{_libexecdir}/os-prober/newns
install -m 0644 -Dp common.sh $RPM_BUILD_ROOT%{_datadir}/%{name}/common.sh

%ifarch m68k
ARCH=m68k
%endif
%ifarch ppc ppc64
ARCH=powerpc
%endif
%ifarch sparc sparc64
ARCH=sparc
%endif
%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in os-probes os-probes/mounted os-probes/init \
              linux-boot-probes linux-boot-probes/mounted; do
        install -m 755 -d $RPM_BUILD_ROOT%{_libexecdir}/$probes 
        cp -a $probes/common/* $RPM_BUILD_ROOT%{_libexecdir}/$probes
        if [ -e "$probes/$ARCH" ]; then 
                cp -a $probes/$ARCH/* $RPM_BUILD_ROOT%{_libexecdir}/$probes 
        fi
done
if [ "$ARCH" = x86 ]; then
        install -m 755 -p os-probes/mounted/powerpc/20macosx \
            $RPM_BUILD_ROOT%{_libexecdir}/os-probes/mounted
fi

%pre

%preun

%post

%postun

%files
%doc README TODO debian/changelog
%license debian/copyright
%{_bindir}/*
%{_datadir}/%{name}
%{_var}/lib/%{name}
%{_libexecdir}/*

%changelog
* Thu Feb 27 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.74-12
- fix os-prober command failed.

* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.74-11
- Delete useless files.

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.74-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimize spec file.

* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 1.74-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec rule in openeuler

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.74-8
- Package init
